# Changelog

All notable changes to this project will be documented in this file.  
This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.8.5] - 2024-06-24 
### Changed 
- Comprueba si existe una etiqueta para asignar root cuando corresponda en la plantilla de arranque por disco y partición

## [0.8.4] - 2024-06-20 
### Changed 
- Corrige oglivecli para que desmonte los puntos de montaje ante cualquier fallo en el script de instalación de oglive

## [0.8.3] - 2024-06-20 
### Changed 
- Añade el cambio de la 0.8.2

## [0.8.2] - 2024-06-20 
### Changed 
- Corrige un bug en oglivecli que impide cambiar el propietario del oglive

## [0.8.1] - 2024-06-18 
### Changed 
- Añade nuevos modulos al grubx64.efi

## [0.8.0] - 2024-06-18 
### Changed 
- Actualiza a 0.8.0 para incluir los cambios de la versión 0.7.2

## [0.7.2] - 2024-06-05 
### Changed 
- Añade scripts de grub y menu.lst para el arranque por disco y partición
- Añade plantilla ogliveadmin con permisos de administracion como parametro del kernel
- Añade plantilla de menú para el arranque por disco y partición y caché

## [0.7.1] - 2024-05-19 
### Changed 
- Añade scripts de grub y menu.lst para el arranque del Oglive por cache

## [0.7.0] - 2024-03-26 
### Changed 
- Updated files location 

## [0.6.3] - 2025-03-19
### Changed 
- Jenkinsfile to upload debian packages

## [0.6.2] - 2025-03-19
### Changed 
- Jenkinsfile to upload debian packages

## [0.6.1] - 2025-02-25 

### Fixed 
- Arreglos menores

## [0.6.1] - 2025-02-25 

### Fixed 
- Arreglos menores

## [0.6.0] - 2025-02-25

### Changed
- No hay cambios en esta versión, se incrementa el tag de `0.5.12` a `0.6.0`.

## [0.5.12] - 2025-02-25

### Added
- Monta `efivars` al inicio del arranque del `oglive`.

### Fixed
- Corrige un error en un `awk` al obtener entradas NVRAM.
- Devuelve un array vacío cuando no hay `oglives` instalados.
- Devuelve una excepción cuando se intenta instalar un `Oglive` ya instalado.

## [0.5.11] - 2025-02-06

### Changed
- Permite la lectura de otros usuarios en el home `/opt/opengnsys` del usuario `opengnsys`.

## [0.5.10] - 2025-02-06

### Changed
- Cambia el home del usuario `opengnsys` a `/opt/opengnsys`.

## [0.5.9] - 2025-02-03

### Added
- Añade el puerto `8443` de `ogcore` al `PostConf.lib`.

## [0.5.8] - 2025-01-13

### Fixed
- Arregla un bug que no añadía los parámetros `ogcore` y `oglog` al crear los ficheros de arranque.

## [0.5.7] - 2025-01-13

### Added
- Añade logs para todos los endpoints siguiendo un formato JSON preestablecido.

### Changed
- Actualiza `monolog.yaml` para enviar logs al `journal` de la máquina.
